PLATFORM_DEVIC(9)

NAME
platform_device_add_resources -

SYNOPSIS

int platform_device_add_resources (struct platform_device * pdev, struct resource * res, unsigned int num);

ARGUMENTS

pdev
    platform device allocated by platform_device_alloc to add resources to

res set of resources that needs to be allocated for the device

num number of resources

DESCRIPTION

Add a copy of the resources to the platform device. The memory associated with the resources will be freed when the platform device is released.